MKTEMP(1)

BEZEICHNUNG
mktemp - eine temporäre Datei oder ein temporäres Verzeichnis erstellen

ÜBERSICHT
mktemp [OPTION]... [SCHABLONE]

BESCHREIBUNG

Das Programm erstellt auf sichere Weise eine temporäre Datei oder ein temporäres Verzeichnis und gibt den Namen aus. SCHABLONE muss mindestens drei aufeinanderfolgende »X« in der letzten Komponente aufweisen. Wenn SCHABLONE nicht angegeben wird, verwendet das Programm tmp.XXXXXXXXXX und impliziert --tmpdir. Dateien werden mit dem Modus u+rw erstellt, Verzeichnisse mit u+rwx, abzüglich der Beschränkungen durch umask.

-d, --directory
    Erstellen eines Verzeichnisses, nicht einer Datei

-u, --dry-run
    Nichts erstellen, lediglich einen Namen ausgeben (unsicher)

-q, --quiet
    Unterdrücken der Diagnostik bei Fehlern der Datei-/Verzeichniserstellung

--suffix=SUFFIX
    append SUFF to TEMPLATE; SUFF must not contain a slash. This option is implied if TEMPLATE does not end in X

-p DIR, --tmpdir[=DIR]
    interpret TEMPLATE relative to DIR; if DIR is not specified, use $TMPDIR if set, else /tmp. With this option, TEMPLATE must not be an absolute name; unlike with -t, TEMPLATE may contain slashes, but mktemp creates only the final component

-t  interpret TEMPLATE as a single file name component, relative to a directory: $TMPDIR, if set; else the directory specified via -p; else /tmp [deprecated]

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

GNU coreutils online help: <http://www.gnu.org/software/coreutils/> Report mktemp translation bugs to <http://translationproject.org/team/>

AUTOR
Geschrieben von Jim Meyering und Eric Blake.

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
mkstemp(3), mkdtemp(3), mktemp(3)

Die vollständige Dokumentation für mktemp wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und mktemp auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'mktemp invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Tobias Quathamer <toddy@debian.org> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.